/****************************************************************************
 * 예약 등록
 ****************************************************************************/
function fn_insertUserInquiry(){
    let title = $('#title').val();
    let content = $('#content').val();
    if(true != fn_emptyCheck(title)){
        modalEvent.warning("등록", "문의 제목을 입력하세요.");
        return;
    }
    if(true != fn_emptyCheck(content)){
        modalEvent.warning("등록", "문의 내용을 입력하세요");
        return;
    }

    let formData = new FormData();
    formData.append("title",title)
    formData.append("content",content)
    $.ajax({
        url: encodeURI('/mobileuserinquiry/insertUserInquiry.do'),
        data: formData,
        dataType: "json",
        processData: false,
        contentType: false,
        type: 'POST',
        async: false,
        success: function(data){
            const param = {

            }
            if('0'==data.msgCode) {
                modalEvent.success("등록 성공","1:1 문의가 등록되었습니다.", function(){
                    location.href ='/mobilecustomerservice/selectListUserInquiryIntro.do'
                });
            }
            else{
                modalEvent.danger("등록 오류", "등록 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
            }
        },
        error : function(xhr, status, error) {
            modalEvent.danger("조회 오류", "조회 중 오류가 발생하였습니다. 잠시후 다시시도하십시오.");
        },
        beforeSend:function(){

        },
        complete:function(){

        }
    });
}
/****************************************************************************
 * 페이지 init
 ****************************************************************************/
function fn_pageInit(){
}

/****************************************************************************
 * 페이지 event
 ****************************************************************************/
function fn_pageEvent(){
}

$(function(){
    // 페이지 init
    fn_pageInit();

    // 페이지 event
    fn_pageEvent();
});
